Bug 151493 - fsck.ext3: Unable to resolve 'LABEL=/data1'
Summary: fsck.ext3: Unable to resolve 'LABEL=/data1'
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: e2fsprogs   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Eric Sandeen
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-18 16:54 UTC by Jeff Burke
Modified: 2015-01-08 00:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 14:26:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file that was referred to in the original BZ. (26.92 KB, text/plain)
2005-03-18 16:56 UTC, Jeff Burke
no flags Details

Description Jeff Burke 2005-03-18 16:54:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
System intermittantly fails to boot properly. During the system startup it checks the file systems. When it checks it can not find partitions that have labels. Below is snippet of the log file attached to this BZ.

What is in the log file. At the top is a normal shutdown. Then the error, Then a reboot and all it fine.

Checking all file systems.
[/sbin/fsck.ext3 (1) -- /boot] fsck.ext3 -a /dev/sda1 
/boot: clean, 127/262144 files, 35729/524112 blocks
[/sbin/fsck.ext3 (1) -- /data1] fsck.ext3 -a LABEL=/data1 
fsck.ext3: Unable to resolve 'LABEL=/data1'
[FAILED]

*** An error occurred during the file system check.
*** Dropping you to a shell; the system will reboot
*** when you leave the shell.
*** Warning -- SELinux is active
*** Disabling security enforcement for system recovery.
*** Run 'setenforce 1' to reenable.
Give root password for maintenance
(or type Control-D to continue): 

(Repair filesystem) 1 # cat /proc/partitions 
major minor  #blocks  name

   8     0  244140625 sda
   8     1    2096451 sda1
   8     2  119443275 sda2
   8     3    3148740 sda3
   8     4          1 sda4
   8     5  119451276 sda5
 253     0  119406592 dm-0
 253     1  119435264 dm-1
   8    16    8773632 sdb
   8    17    8773616 sdb1
   8    32    8773632 sdc
   8    48    8773632 sdd
   8    64    8773632 sde
   8    80    8773632 sdf
   8    96    8773632 sdg
   8   112    8773632 sdh
   8   113    8773616 sdh1
   8   128    8773632 sdi
   8   144    8773632 sdj
   8   160    8773632 sdk
   8   176  120627360 sdl

(Repair filesystem) 2 # e2label /dev/sdh1
/data1


Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
See log file

Expected Results:  The system should see all labeled drives at boot time. Looks like a timing issue.

Additional info:

Comment 1 Jeff Burke 2005-03-18 16:56:13 UTC
Created attachment 112133 [details]
Log file that was referred to in the original BZ.

Comment 2 Karel Zak 2005-04-06 22:14:20 UTC
- When your system initialize "/dev/sdh1" (load driver)?
- What do you have in the file "/etc/blkid.tab"? 
- Does it work with "/dev/sdh1" instead "LABEL=/data1" in fstab?





Comment 3 Jeff Burke 2005-04-07 13:39:31 UTC
- When your system initialize "/dev/sdh1" (load driver)?
    I am not sure of the question here? 

- What do you have in the file "/etc/blkid.tab"?
<device DEVNO="0x0801" TIME="1112715940" LABEL="/boot"
UUID="8e299d16-7025-477e-a218-ea682e172368" SEC_TYPE="ext3"
TYPE="ext2">/dev/sda1</device>
<device DEVNO="0x0803" TIME="1112715940" TYPE="swap">/dev/sda3</device>
<device DEVNO="0xfd00" TIME="1112715940"
UUID="3e571aa7-4c57-4ced-9adf-ff2a3a7e574e" SEC_TYPE="ext3"
TYPE="ext2">/dev/dm-0</device>
<device DEVNO="0xfd01" TIME="1112715940"
UUID="59b4eac3-1144-4429-b9c8-cce3af5a6bc9" SEC_TYPE="ext3"
TYPE="ext2">/dev/dm-1</device>
<device DEVNO="0x0871" TIME="1112715940" LABEL="/data1"
UUID="7410f9b0-da90-40a1-806f-5ef62b8a5e9e" SEC_TYPE="ext3"
TYPE="ext2">/dev/sdh1</device>
<device DEVNO="0x08a1" TIME="1112715940"
UUID="a3b0ea15-6453-4828-97ac-8ec7c24c3dd7" SEC_TYPE="ext3"
TYPE="ext2">/dev/sdk1</device>
[root@pesc1425he fsx-linux]# cat /etc/blkid.tab
<device DEVNO="0x0801" TIME="1112715940" LABEL="/boot"
UUID="8e299d16-7025-477e-a218-ea682e172368" SEC_TYPE="ext3"
TYPE="ext2">/dev/sda1</device>
<device DEVNO="0x0803" TIME="1112715940" TYPE="swap">/dev/sda3</device>
<device DEVNO="0xfd00" TIME="1112715940"
UUID="3e571aa7-4c57-4ced-9adf-ff2a3a7e574e" SEC_TYPE="ext3"
TYPE="ext2">/dev/dm-0</device>
<device DEVNO="0xfd01" TIME="1112715940"
UUID="59b4eac3-1144-4429-b9c8-cce3af5a6bc9" SEC_TYPE="ext3"
TYPE="ext2">/dev/dm-1</device>
<device DEVNO="0x0871" TIME="1112715940" LABEL="/data1"
UUID="7410f9b0-da90-40a1-806f-5ef62b8a5e9e" SEC_TYPE="ext3"
TYPE="ext2">/dev/sdh1</device>
<device DEVNO="0x08a1" TIME="1112715940"
UUID="a3b0ea15-6453-4828-97ac-8ec7c24c3dd7" SEC_TYPE="ext3"
TYPE="ext2">/dev/sdk1</device>

- Does it work with "/dev/sdh1" instead "LABEL=/data1" in fstab?
    I am not sure if changing the /etc/fstab file will work. I have
    not tried that.

Comment 4 Thomas Woerner 2005-11-10 17:16:15 UTC
Do you have more than one filesystem with LABEL=/data1?

Comment 5 Jeff Burke 2005-11-14 13:46:04 UTC
No, That was the only filesystem with that label.

Comment 6 Karel Zak 2005-11-14 15:36:13 UTC
Jeff, try: /sbin/blkid -t LABEL=/data1

Comment 7 Eric Sandeen 2007-05-05 03:10:21 UTC
Jeff, do we still need to look into this bug... looks like ancient history now,
and not much left to go on...

Comment 8 Jeff Burke 2007-10-03 13:41:51 UTC
Eric,
  I think we can close this and reopen if we come across it again.

Jeff

Comment 9 Eric Sandeen 2007-10-03 14:26:15 UTC
This one seems lost to the mists of time...

-Eric


Note You need to log in before you can comment on or make changes to this bug.